package  {
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	
	/**
	 * ...
	 * @author D Kvarfordt
	 */
	public class Claw extends Entity {
		
		private var sprite:Spritemap;
		
		public function Claw() {
			sprite = new Spritemap(Assets.SLASH_IMG, 10, 10, onAnimDone );
			sprite.add("slash", [0, 1, 2], 15, false);
			sprite.visible = false;
			graphic = sprite;
			setHitbox(20, 10);
			setFlipped(false);
		}
		
		public function setFlipped(b:Boolean):void {
			sprite.flipped = b;
			if (b) {
				sprite.originX = 25;
				setHitbox(20, 15, 25);
			} else {
				sprite.originX = -15;
				setHitbox(20, 15, -5);
			}
		}
		
		override public function update():void {
			super.update();
			if (sprite.currentAnim == "slash" && sprite.frame == 0) {
				type = "claw";
			} else {
				type = "notclaw";
			}
		}
		
		public function claw():void {
			sprite.play("slash", true);
			sprite.visible = true;
		}
		
		public function onAnimDone():void {
			sprite.visible = false;
			type = "notclaw";
		}
		
	}

}