package  {
	import net.flashpunk.graphics.Image;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.World;
	
	/**
	 * ...
	 * @author D Kvarfordt
	 */
	public class IntroWorld extends World {
		
		private var splash:Image = new Image(Assets.SPLASHSCREEN_IMG);
		private var main:Main;
		
		public function IntroWorld(main:Main) {
			this.main = main;
			addGraphic(splash);
			
		}
		
		override public function update():void {
			super.update();
			
			if (Input.pressed(Key.SPACE)) {
				main.next();
			}
		}
		
	}

}