package  {
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	
	/**
	 * ...
	 * @author D Kvarfordt
	 */
	public class Splash extends Entity {
		
		private var sprite:Spritemap;
		
		public function Splash(x:Number, y:Number) {
			this.x = x;
			this.y = y;
			sprite = new Spritemap(Assets.SPLASH_IMG, 10, 10, onComplete);
			sprite.originX = 5;
			sprite.originY = 8;
			sprite.add("splashy", [0, 1, 2, 3, 4], 15, false);
			sprite.play("splashy");
			graphic = sprite;
		}
		
		private function onComplete():void {
			FP.world.remove(this);
		}
		
	}

}