package  {
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	
	/**
	 * ...
	 * @author D Kvarfordt
	 */
	public class Cloud extends Entity {
		
		private var sprite:Image = new Image(Assets.CLOUD_IMG);
		
		public function Cloud(x:Number, y:Number) {
			this.x = x;
			this.y = y;
			graphic = sprite;
			sprite.scrollX = 0.2;
			sprite.scrollY = 0.1;
			type = "cloud";
			layer = 10;
		}
		
		override public function update():void {
			super.update();
			
			x += GameWorld.theWorld.windSpeed / 100;
			
		}
		
	}

}