package  {
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	
	/**
	 * ...
	 * @author D Kvarfordt
	 */
	public class Fade extends Entity {
		
		private var sprite:Image = new Image(Assets.BLACK_IMG);
		
		private var faded:Function;
		
		public function Fade(faded:Function) {
			this.faded = faded;
			sprite.scrollX = 0;
			sprite.scrollY = 0;
			graphic = sprite;
			layer = -100000;
			sprite.alpha = 0;
		}
		
		override public function update():void {
			super.update();
			
			sprite.alpha += 0.005;
			
			if (sprite.alpha >= 1) {
				faded.call();
				faded = function():void {}
			}
		}
		
	}

}