package  {
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Graphiclist;
	import net.flashpunk.graphics.TiledImage;
	
	/**
	 * ...
	 * @author D Kvarfordt
	 */
	public class HealthStatus extends Entity {
		
		private var bar:TiledImage = new TiledImage(Assets.EMPTY_HEART_IMG, 18 * 5, 18);
		private var hearts:TiledImage = new TiledImage(Assets.FULL_HEART_IMG, 18 * 5, 18);
		private var graphicList:Graphiclist = new Graphiclist(bar, hearts);
		
		public var health:int = 0;
		
		public function HealthStatus() {
			graphic = graphicList;
			graphicList.scrollX = 0;
			graphicList.scrollY = 0;
			layer = -1000;
		}
		
		public function updateHealth(health:int):void {
			if (health <= 0) {
				hearts.visible = false;
			} else {
				graphicList.remove(hearts);
				hearts = new TiledImage(Assets.FULL_HEART_IMG, 18 * health, 18);
				graphicList.add(hearts);
				hearts.visible = true;
			}
		}
		
	}

}