package  {
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	
	/**
	 * ...
	 * @author D Kvarfordt
	 */
	public class Lightning extends Entity {
		
		private var sprite:Image = new Image(Assets.LIGHTNING_IMG);
		private var light:Image = new Image(Assets.WHITE_IMG);
		public function Lightning(x:Number, y:Number) {
			this.x = x;
			this.y = y;
			if (Math.random() < 0.5) graphic = sprite;
			light.scrollX = 0;
			light.scrollY = 0;
			light.relative = false;
			light.alpha = Math.random() / 3 + 0.3;
			addGraphic(light);
			
			
			if (light.alpha < 0.4) {
				Sounds.thunder3.play((light.alpha-0.3)*3+0.2);
			} else if (light.alpha < 0.5) {
				Sounds.thunder2.play((light.alpha-0.3)*3+0.1);
			} else  {
				Sounds.thunder1.play((light.alpha-0.3)*3);
			} 
			
			this.layer = 10;
		}
		
		override public function update():void {
			super.update();
			
			if (light.alpha <= 0) {
				FP.world.remove(this);
			}
			sprite.alpha -= 0.05;
			light.alpha -= 0.01;
			
		}
		
	}

}