package  {
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author D Kvarfordt
	 */
	public class MessageTrigger extends Trigger {
		
		private static const COOLDOWN_TIME:int = 200;
		
		private var message:String;
		private var cooldownTimer:int;
		private var once:Boolean;
		
		public function MessageTrigger(x:Number, y:Number, message:String, w:Number=10, h:Number=10, once:Boolean=true) {
			super(x, y, w, h);
			this.message = message;
			this.cooldownTimer = 0;
			this.once = once;
			
		}
		
		override protected function trigger():void {
			super.trigger();
			
			if (cooldownTimer <= 0) {
				GameWorld.theWorld.showMessage(message);
				cooldownTimer = COOLDOWN_TIME;
				trace("message triggered");
				if (once) {
					FP.world.remove(this);
				}
			} else {
				cooldownTimer--;
			}
			
		}
		
		
	}

}